<template>
    <div>
        <h1>Minha Conta</h1>

        <h5>Dados do usuário autenticado</h5>
        <ul>
            <li><b>Nome: </b>{{usuario.nome}}</li>
            <li><b>CPF: </b>{{usuario.cpf}}</li>
            <li><b>Email: </b>{{usuario.email}}</li>
        </ul>

        <span><b>Perfis de Acesso</b></span>
        <ul>
            <li v-for="perfil in perfis" :key="perfil.codigo">{{perfil}}</li>
        </ul>
    </div>
</template>

<script>
export default {
    computed: {
        usuario() {
            return this.$store.state.usuario
        },
        nomeUsuario() {
            return this.$store.getters.username
        },
        perfis() {
            return this.$store.getters.roles
        }
    }
}
</script>
<style scoped>
  ul {
    list-style:none;
    padding: 0;
  }
</style>
